# antarstick-js

## Install and run Antarstick
- Download and instal npm package manager.
- Install project `npm install`.
- Run database `npm run database`.
- In case you want to use different file as the database, you can find the command in `package.json`.
- Run Antarstick `npm run serve`.
- Open Antarstick at the address `http://localhost:8080/`.

## Project setup
```
npm install
```

### Compiles and hot-reloads for development
```
npm run serve
```

### Run database (needs to be running as a separate process when running the app)
```
npm run database
```

### Compiles and minifies for production
```
npm run build
```

### Lints and fixes files
```
npm run lint
```

### Install Vue Material
```
npm install vue-material --save
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
